<html>
    <head>
        <link rel="stylesheet" href="hwextra.css">
        
<style>
  
  ul {
    width: 180px; 
    list-style: none; 
    margin: 0; 
    padding: 0; 
    font-family: Roboto; 
    font-size: 10pt; 
  }

  li .a1 {
    display: block;
    padding: 5px; 
    text-decoration: none; 
    color: rgb(0, 0, 0);    
    border-bottom: none; 
  }
  li .a2 {
    display: block;
    padding: 5px; 
    text-decoration: none; 
    color: rgb(255, 255, 255);    
    border-bottom: none; 
  }
 
 li .a1:hover {
    color: rgb(1, 98, 155); 
background:none;
  }

    li .a2:hover {
      background-color: #222F3A; 
 color: white;
  font-family: Roboto;
    }
    li .a3:hover {
        background-color: #DBDBDB; 
  color: rgb(0, 0, 0);
    font-family: Roboto;
    box-shadow:
          1px 1px #5e5e5e,
          2px 2px #5e5e5e;
        -webkit-transform: translateX(-2px);
        transform: translateX(-2px);
      }
      li .a3 {
    display: block;
    padding: 5px; 
    text-decoration: none; 
    color: rgb(119, 119, 119);    
    border-bottom: none; 
  }
  
  li:hover ul { 
    display: block; 
  }



  ul.hr li {
    display: inline;
    margin-right: 5px;
    padding :3px;
    
    
  }
.div1:hover{
  transform: scale(1.2);
 
}
.div1{
  transition: 1s;
}
</style>
    </head>
    <body>
      
      <ul class="block2 ">
        <li><a href="" class="a3" >Ramda</a>
          
        </li> 
        <li><a href=""  class="a3">Why ramda</a> 
          
        </li>
        <li><a href="" class="a3">What's different</a> 
         
        </li> 
        <li><a href="" class="a3">Introductions</a></li> 
      </li> 
      <li><a href="" class="a3">Philosophy</a></li> 
        </ul>

      <ul class="hr">
        <li> <a href="" class="block12 a2" >Functional programming</a></li>
        <li> <a  href="" class="block13 a2">Ramda</a></li>
        <li> <a href="" class= "block15 a2">Fantasy Land Spec</a></li>
        <li> <a  href="" class="block14 a2">Node.js for all </a></li>
        
        </ul> 
        
        <a class="block21"> Lorem ipsum — классическая панграмма, условный, зачастую бессмысленный текст-заполнитель, вставляемый в макет страницы. Используется в качестве заполнителя по крайней мере с XVI века. Является искажённым отрывком из философского трактата Марка Туллия Цицерона «О пределах добра и зла», написанного в 45 году до н. э. на латинском языке, обнаружение сходства атрибутируется Ричарду МакКлинтоку. 
        </a>
        <a class="block22"> Lorem ipsum — классическая панграмма, условный, зачастую бессмысленный текст-заполнитель, вставляемый в макет страницы. Используется в качестве заполнителя по крайней мере с XVI века. Является искажённым отрывком из философского трактата Марка Туллия Цицерона «О пределах добра и зла», написанного в 45 году до н. э. на латинском языке, обнаружение сходства атрибутируется Ричарду МакКлинтоку. 
        </a>
     <ul class="block23" >
       <li><a class="aaa a1" href="" > Ramda</a></li>
       <li><a class="aab a1" href=""> Why Ramda?</a></li>
       <li><a class="aac a1 " href=""> What's different</a></li>
       <li><a class="aad a1" href=""> Introductions</a></li>
       <li><a class="aae a1" href=""> Philosophy</a></li>
       <li><a class="aaf " > Copyright  © 2018 </a></li>
     </ul>
     
        <a  class="unique" href="">
Ra <span class="colortext"> mda.js</span></a>
       
    <p class="block4 " ><div class="central1 div1"><img src="imgramda/kot.jpg" width="410" height="380"></div>
    </p>
    </body>
</html>